Package com.io7m.idstore.protocol.admin.cb.internal

# Class IdACB1ValidationGeneral

java.lang.Object
com.io7m.idstore.protocol.admin.cb.internal.IdACB1ValidationGeneral

public final class IdACB1ValidationGeneral extends Object
Functions to translate between the core command set and the Admin v1 Cedarbridge encoding command set.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `static IdAuditEvent`
  `fromWireAuditEvent(IdA1AuditEvent i)`
  `static IdBan`
  `fromWireBan(IdA1Ban fieldBan)`
  `static IdNonEmptyList<IdEmail>`
  `fromWireEmails(com.io7m.cedarbridge.runtime.api.CBList<com.io7m.cedarbridge.runtime.api.CBString> fieldEmails)`
  `static IdLogin`
  `fromWireLogin(IdA1Login i)`
  `static <A extends com.io7m.cedarbridge.runtime.api.CBSerializableType, B>
  IdPage<B>`
  `fromWirePage(IdA1Page<A> page, Function<A,B> f)`
  `static IdPassword`
  `fromWirePassword(IdA1Password fieldPassword)`
  `static Optional<IdPassword>`
  `fromWirePasswordOptional(com.io7m.cedarbridge.runtime.api.CBOptionType<IdA1Password> fieldPassword)`
  `static IdTimeRange`
  `fromWireTimeRange(IdA1TimeRange t)`
  `static OffsetDateTime`
  `fromWireTimestamp(IdA1TimestampUTC t)`
  `static UUID`
  `fromWireUUID(IdA1UUID uuid)`
  `static IdA1AuditEvent`
  `toWireAuditEvent(IdAuditEvent e)`
  `static IdA1Ban`
  `toWireBan(IdBan ban)`
  `static IdA1Login`
  `toWireLogin(IdLogin i)`
  `static <A, B extends com.io7m.cedarbridge.runtime.api.CBSerializableType>
  IdA1Page<B>`
  `toWirePage(IdPage<A> page, Function<A,B> f)`
  `static IdA1Password`
  `toWirePassword(IdPassword password)`
  `static IdA1TimeRange`
  `toWireTimeRange(IdTimeRange timeRange)`
  `static IdA1TimestampUTC`
  `toWireTimestamp(OffsetDateTime t)`
  `static IdA1UUID`
  `toWireUUID(UUID uuid)`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Method Details

  - ### toWirePage

    public static <A, B extends com.io7m.cedarbridge.runtime.api.CBSerializableType> IdA1Page<B> toWirePage(IdPage<A> page, Function<A,B> f)

  - ### toWireBan

    public static IdA1Ban toWireBan(IdBan ban)

  - ### toWireTimestamp

    public static IdA1TimestampUTC toWireTimestamp(OffsetDateTime t)

  - ### toWireUUID

    public static IdA1UUID toWireUUID(UUID uuid)

  - ### toWireTimeRange

    public static IdA1TimeRange toWireTimeRange(IdTimeRange timeRange)

  - ### toWirePassword

    public static IdA1Password toWirePassword(IdPassword password)

  - ### fromWireUUID

    public static UUID fromWireUUID(IdA1UUID uuid)

  - ### fromWirePage

    public static <A extends com.io7m.cedarbridge.runtime.api.CBSerializableType, B> IdPage<B> fromWirePage(IdA1Page<A> page, Function<A,B> f)

  - ### fromWireEmails

    public static IdNonEmptyList<IdEmail> fromWireEmails(com.io7m.cedarbridge.runtime.api.CBList<com.io7m.cedarbridge.runtime.api.CBString> fieldEmails) throws IdProtocolException
    Throws:
      `IdProtocolException`

  - ### fromWirePasswordOptional

    public static Optional<IdPassword> fromWirePasswordOptional(com.io7m.cedarbridge.runtime.api.CBOptionType<IdA1Password> fieldPassword) throws IdPasswordException
    Throws:
      `IdPasswordException`

  - ### fromWireTimeRange

    public static IdTimeRange fromWireTimeRange(IdA1TimeRange t)

  - ### fromWirePassword

    public static IdPassword fromWirePassword(IdA1Password fieldPassword) throws IdPasswordException
    Throws:
      `IdPasswordException`

  - ### fromWireBan

    public static IdBan fromWireBan(IdA1Ban fieldBan)

  - ### fromWireTimestamp

    public static OffsetDateTime fromWireTimestamp(IdA1TimestampUTC t)

  - ### toWireAuditEvent

    public static IdA1AuditEvent toWireAuditEvent(IdAuditEvent e)

  - ### fromWireLogin

    public static IdLogin fromWireLogin(IdA1Login i)

  - ### fromWireAuditEvent

    public static IdAuditEvent fromWireAuditEvent(IdA1AuditEvent i)

  - ### toWireLogin

    public static IdA1Login toWireLogin(IdLogin i)